<?php

namespace Config;

use CodeIgniter\Config\BaseConfig;

class LogoImpresion extends BaseConfig
{

    public array $TIPO_IMPRESION_MAPPING = [
        "lp_bn" => "icon_bn",
        "lp_bnhq" => "icon_bnhq",
        "lp_color" => "icon_color",
        "lp_colorhq" => "icon_colorhq",
        "lp_cubierta" => "icon_cubierta",
        "lp_sobrecubierta" => "icon_sobrecubierta",
        "lp_rot_bn" => "icon_rotativa_bn",
        "lp_rot_color" => "icon_rotativa_color",
        "lp_guardas" =>  "icon_cuardas"

    ];

    public function __construct()
    {
        parent::__construct();
    }
    public function get_logo_path(string $tipo): string
    {
        return "themes/vuexy/img/safekat/presupuestos/" . $this->TIPO_IMPRESION_MAPPING[$tipo] . ".png";
    }
}
